Reference
Flashboards
List Flashboards
Query Parameters
offset?integer
Default
0Range
0 <= valuelimit?integer
Default
50Range
1 <= value <= 100Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/flashboards"{
"items": [
{
"activeDataSnapshot": {},
"activeSpec": {},
"activeVersionId": "string",
"agentSpecId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"description": "string",
"id": "string",
"sourceThreadId": "string",
"sourceTurnId": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionCount": 0
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Flashboard
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?
dataSnapshot?|
description?|
sourceThreadId?|
sourceTurnId?|
spec?
title*string
Length
1 <= length <= 255Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/flashboards" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{
"activeDataSnapshot": {},
"activeSpec": {},
"activeVersionId": "string",
"agentSpecId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"description": "string",
"id": "string",
"sourceThreadId": "string",
"sourceTurnId": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Build Flashboard
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?|
currentTree?|
description?|
flashboardId?|
prompt*string
Length
1 <= lengthtitle?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/flashboards/build" \ -H "Content-Type: application/json" \ -d '{ "prompt": "string" }'null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Flashboard
Path Parameters
flashboard_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"activeDataSnapshot": {},
"activeSpec": {},
"activeVersionId": "string",
"agentSpecId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"description": "string",
"id": "string",
"sourceThreadId": "string",
"sourceTurnId": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Update Flashboard
Path Parameters
flashboard_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
config?|
description?|
title?|
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"activeDataSnapshot": {},
"activeSpec": {},
"activeVersionId": "string",
"agentSpecId": "string",
"config": {},
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"description": "string",
"id": "string",
"sourceThreadId": "string",
"sourceTurnId": "string",
"tenantId": "string",
"title": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Flashboard
Path Parameters
flashboard_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Flashboard Share
Path Parameters
flashboard_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
expiresAt?|
versionId?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/shares" \ -H "Content-Type: application/json" \ -d '{}'{
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"flashboardId": "string",
"id": "string",
"shareToken": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionId": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Flashboard Share
Path Parameters
flashboard_id*string
Format
uuidshare_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/shares/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}List Flashboard Versions
Path Parameters
flashboard_id*string
Format
uuidQuery Parameters
offset?integer
Default
0Range
0 <= valuelimit?integer
Default
50Range
1 <= value <= 100Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"{
"items": [
{
"createdAt": "2019-08-24T14:15:22Z",
"dataSnapshot": {},
"flashboardId": "string",
"id": "string",
"sourceTurnId": "string",
"spec": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}
],
"total": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Flashboard Version
Path Parameters
flashboard_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
dataSnapshot?|
sourceTurnId?|
spec?
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \ -H "Content-Type: application/json" \ -d '{}'{
"createdAt": "2019-08-24T14:15:22Z",
"dataSnapshot": {},
"flashboardId": "string",
"id": "string",
"sourceTurnId": "string",
"spec": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Flashboard Version
Path Parameters
flashboard_id*string
Format
uuidversion_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/flashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"createdAt": "2019-08-24T14:15:22Z",
"dataSnapshot": {},
"flashboardId": "string",
"id": "string",
"sourceTurnId": "string",
"spec": {},
"tenantId": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"versionNumber": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}